QGIS-generated WKT CRS flooring real number coordinates

2013-09-02 08:41 AM - Gavin Fleming

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17301

Description

define a custom CRS (e.g. aea) with decimal parameters when saving as a shapefile, the prj and qpj files generated by QGIS have the

parameters floored to integers, resulting in a completely incorrect CRS definition.

History

#1 - 2013-09-03 04:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Projection Support

I just tested on qgis master (on Linux) with a projection that I know

+proj=tmerc +lat_0=39.66666666666666 +lon_0=-8.131906111111112 +k=1 +x_0=180.598 +y_0=-86.98999999999999 +ellps=intl

+towgs84=-239.749,88.181,30.488,0.263,0.082,1.211,2.229

and does not happens.

#2 - 2014-02-07 06:15 AM - Giovanni Manghi

- Status changed from Feedback to Closed

closing for lack of feedback. Reopen of necessary.
